/* $Id: plugin_domtreeviewer.h 386898 2005-02-06 21:56:57Z savernik $ */

#ifndef __plugin_domtreeviewer_h
#define __plugin_domtreeviewer_h

#include <kparts/plugin.h>
// #include <klibloader.h>

class DOMTreeWindow;
class KURL;

class PluginDomtreeviewer : public KParts::Plugin
{
  Q_OBJECT
public:
  PluginDomtreeviewer( QObject* parent, const char* name,
	               const QStringList & );
  virtual ~PluginDomtreeviewer();

public slots:
  void slotShowDOMTree();
  void slotDestroyed();
private:
  QGuardedPtr<DOMTreeWindow> m_dialog;
};

#endif
